summarylogtreecommitdiffstats
diff options
context:
space:
mode:
-rw-r--r--.SRCINFO12
-rw-r--r--PKGBUILD31
-rw-r--r--c++.patch31
3 files changed, 51 insertions, 23 deletions
diff --git a/.SRCINFO b/.SRCINFO
index 24f41d9dbef..5060a51b3af 100644
--- a/.SRCINFO
+++ b/.SRCINFO
@@ -1,6 +1,8 @@
+# Generated by mksrcinfo v8
+# Wed May 25 10:25:04 UTC 2016
pkgbase = metview
pkgdesc = ECMWF interactive meteorological application
- pkgver = 4.4.10
+ pkgver = 4.6.6
pkgrel = 1
url = https://software.ecmwf.int/wiki/display/METV/Metview
arch = i686
@@ -14,10 +16,10 @@ pkgbase = metview
depends = grib_api
depends = qtwebkit
depends = libxpm
- source = https://software.ecmwf.int/wiki/download/attachments/3964985/Metview-4.4.10.tar.gz
- source = imagemagick_xpm_fix.patch
- md5sums = 13327f8ed5a344b42948f83fb2c44eb9
- md5sums = 4ab00461ee0fe6d76081eaa89ffe9963
+ source = https://software.ecmwf.int/wiki/download/attachments/3964985/Metview-4.6.6-Source.tar.gz
+ source = c++.patch
+ md5sums = 897c2ec36a0d36a6a9827817a1fafbe2
+ md5sums = ab0719eee5c21164747f715a953ec01a
pkgname = metview
diff --git a/PKGBUILD b/PKGBUILD
index bb8ffd729da..866b4a6646d 100644
--- a/PKGBUILD
+++ b/PKGBUILD
@@ -1,6 +1,6 @@
# Contributor: Graziano Giuliani <graziano.giuliani@poste.it>
pkgname=metview
-pkgver=4.4.10
+pkgver=4.6.6
pkgrel=1
pkgdesc="ECMWF interactive meteorological application"
arch=(i686 x86_64)
@@ -15,31 +15,26 @@ replaces=()
backup=()
options=()
install=
-source=(https://software.ecmwf.int/wiki/download/attachments/3964985/Metview-${pkgver}.tar.gz imagemagick_xpm_fix.patch)
+source=(https://software.ecmwf.int/wiki/download/attachments/3964985/Metview-${pkgver}-Source.tar.gz c++.patch)
noextract=()
-md5sums=('13327f8ed5a344b42948f83fb2c44eb9'
- '4ab00461ee0fe6d76081eaa89ffe9963')
+md5sums=('897c2ec36a0d36a6a9827817a1fafbe2'
+ 'ab0719eee5c21164747f715a953ec01a')
build() {
- cd Metview-${pkgver}
- chmod 644 share/metview/icons/fix_last_line
- patch -p0 -i $srcdir/imagemagick_xpm_fix.patch
- chmod 755 share/metview/icons/fix_last_line
- autoreconf -f -i
- QMAKE=/usr/bin/qmake-qt4 MOC=/usr/bin/moc-qt4 \
- UIC=/usr/bin/uic-qt4 RCC=/usr/bin/rcc-qt4 \
- FC=gfortran F77=gfortran F9X=gfortran PYTHON=python2 \
- ./configure --with-python-command=/usr/bin/python2 --with-proj4=/usr \
- --with-grib-api=/usr --with-emos-libraries=/usr --with-netcdf=/usr \
- --with-magics-home=/usr --prefix=/usr
- sed -i src/Desktop/Makefile -e 's/-ljasper/-ljasper -lQtXmlPatterns/'
+ cd Metview-${pkgver}-Source
+ patch -p0 -i ${srcdir}/c++.patch
+ mkdir -p build && cd build
+ cmake -DCMAKE_CXX_COMPILER=g++ -DCMAKE_CC_COMPILER=gcc \
+ -DCMAKE_INSTALL_PREFIX=/usr -DCMAKE_BUILD_TYPE=production \
+ -DCMAKE_INSTALL_DATADIR=/usr/share -DENABLE_QT5=ON \
+ -DPYTHON_EXECUTABLE=/usr/bin/python2 ..
make || return 1
}
package()
{
- cd Metview-${pkgver}
- make DESTDIR="$pkgdir" install
+ cd Metview-${pkgver}-Source/build
+ make DESTDIR="$pkgdir" install || return 1
}
# vim:set ts=2 sw=2 et:
diff --git a/c++.patch b/c++.patch
new file mode 100644
index 00000000000..73d01a22ed7
--- /dev/null
+++ b/c++.patch
@@ -0,0 +1,31 @@
+--- src/libMarsClient/rpcmars.x.orig 2016-05-25 11:53:59.408000659 +0200
++++ src/libMarsClient/rpcmars.x 2016-05-25 11:54:31.136928249 +0200
+@@ -2,7 +2,7 @@
+ %#include <rpc/xdr.h>
+ #ifdef RPC_HDR
+ %typedef char *cache_t;
+-%typedef void *void_t;
++%typedef void *myvoid_t;
+ #endif
+
+ struct value {
+@@ -31,7 +31,7 @@
+ cache_t kind;
+
+ #ifdef RPC_HDR
+- void_t data; /* user data */
++ myvoid_t data; /* user data */
+ long order;
+ #endif
+
+--- src/libUtil/MvFlextra.cc.orig 2016-05-25 11:56:40.842544314 +0200
++++ src/libUtil/MvFlextra.cc 2016-05-25 11:57:01.998495926 +0200
+@@ -682,7 +682,7 @@
+ string comment=blocks_[i]->comment();
+ bool cstep=blocks_[i]->constantStep();
+
+- pair<string,bool> p=make_pair<string,bool>(comment,cstep);
++ pair<string,bool> p=make_pair(comment,cstep);
+
+ bool newRef=true;
+ for(unsigned int j=0; j < ref.size(); j++)